Instalando Calibre On Centos 6

Siguiendo con la guía Centos 6 the Perfect Desktop un método para tener calibre en nuestro CentOS 6

# Instalar requerimientos para compilar y para instalar:
yum install --enablerepo=epel --enablerepo=rpmforge python-devel ImageMagick-devel python-setuptools-devel qt-devel PyQt4-devel poppler-qt4-devel podofo-devel python-mechanize python-dateutil python-imaging python-BeautifulSoup chmlib-devel libicu-devel pyPdf python-cherrypy django-tagging -y
rpm -Uvh ftp://ftp.pbone.net/mirror/download.fedora.redhat.com/pub/fedora/linux/releases/13/Everything/x86_64/os/Packages/odfpy-0.9-2.fc12.noarch.rpm
wget ftp://mirror.switch.ch/pool/2/mirror/fedora/linux/releases/16/Everything/source/SRPMS/python-cssutils-0.9.7-2.fc15.src.rpm
rpmbuild --rebuild python-cssutils-0.9.7-2.fc15.src.rpm
rpm -Uvh $HOME/rpmbuild/RPMS/noarch/python-cssutils-0.9.7-2.el6.noarch.rpm

# Solo una dependencia más: qtwebkit necesaria, pero retirada del PyQt4-devel en CentOS 6 por alguna razón
yum install qtwebkit qtwebkit-devel --enablerepo=epel -y
wget http://rdieter.fedorapeople.org/rpms/PyQt4-webkit/PyQt4-webkit-4.6.2-1.el6.src.rpm
yum-builddep --nogpgcheck PyQt4-webkit-4.6.2-1.el6.src.rpm #lo que probablemente solo instalará dbus-python-devel
rpmbuild --rebuild PyQt4-webkit-4.6.2-1.el6.src.rpm
rpm -Uvh $HOME/rpmbuild/RPMS/i386/PyQt4-webkit-*

# Descargar el fuente desde fedora:
# descargamos calibre-0.6 porque calibre-0.8 o superiores son compatibles solo con python 2.7
wget ftp://ftp.icm.edu.pl/vol/rzm2/linux-fedora-secondary/archive/development/12/source/SRPMS/calibre-0.6.20-1.fc12.src.rpm
rpmbuild --rebuild --nosignature --target `uname -m` calibre-0.6.20-1.fc12.src.rpm
# e instalamos
yum localinstall $HOME/rpmbuild/RPMS/i686/calibre-0.6.20-1.el6.i686.rpm

#si eres neurótico (como algunos) deja limpio tu sistema rpm/yum
yum clean all
rpm -Va --nofiles --nodigest
rpm --rebuilddb
yum update

El resultado:

Joomla 2.5.1 Security update

Conviene entrar a actualizar Joomla, si tienes instalado Joomla 1.7.5, no necesitas preocuparte, por otro lado cualquiera que se actualizara a Joomla 2.5 debe actualizar urgente.
La información de los fallos que se proporciona es bastante escasa, puede visualizarse en:
http://developer.joomla.org/security/news/387-20120201-core-information-disclosure
http://developer.joomla.org/security/news/389-20120203-core-information-disclosure
Sin embargo, mejor curarse en salud, siempre que encuentres algo como:
“Inadequate validation leads to information disclosure in administrator.”
Entiendelo como que el sistema de validación falla y presenta información del admin, ahora, no deja claro que información se hace pública, bien puede ser solo el correo del admin o llegar a presentar su password, lo mejor es evitar y actualizar.
URL de descarga: http://joomlacode.org/gf/download/frsrelease/16511/72039/Joomla_2.5.0_to_2.5.1-Stable-Patch_Package.tar.bz2

Mono & Banshee on CentOS 6

***********************************
updates: blond
***********************************
Este post más que una guía para instalar banshee en CentOS 6, te entrega el script para que copies y pegues, esperes y listo!, banshee en CentOS.
Si no seguiste los pasos mencionados en Centos 6 the Perfect Desktop, probablemente necesites instalar al menos: las siguientes herramientas:
yum install bison gettext glib2 freetype fontconfig libpng libpng-devel libX11 libX11-devel glib2-devel libgdi* libexif glibc-devel urw-fonts java unzip gcc gcc-c++ -y
Continuar leyendo “Mono & Banshee on CentOS 6”